Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxResult

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  TaxResultImpl

Deprecated

    @Deprecated
    public interface TaxResult

extends Belonging

A holder for various taxinfo belongings: total: A summary of all taxes and reasons line: A ordered list of lines that correspond to various taxes. The order is the same as the order of the taxlinelist being used to generate the taxes. Attribute: line One TaxInformation for each line in the original order.

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Collection

Attribute: total The total information for the order that was processed.

- Containment: By Value
- Multiplicity: 1:1

See Also
  `TaxResultHome`, `TaxResultImpl`

Method Summary
`void` | `calculateTotals()` Deprecated This method should be called by anyone constructing TaxResults, it will calculate the total TaxInformation attribute.
`List` | `getLine()` Deprecated Get the value of line
`TaxInformation` | `getTotal()` Deprecated Get the value of total
`void` | `setLine(List list)` Deprecated Set the value of Line
`void` | `setTotal(TaxInformation total)` Deprecated Set the value of total

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getLine

    List getLine()

  Deprecated
  Get the value of line

  Returns
    line.

### setLine

    void setLine(List list)

  Deprecated
  Set the value of Line

  Parameters
    `line` - to be set

### getTotal

    TaxInformation getTotal()

  Deprecated
  Get the value of total

  Returns
    total.

### setTotal

    void setTotal(TaxInformation total)

  Deprecated
  Set the value of total

  Parameters
    `total` - total to be added

### calculateTotals

    void calculateTotals()

  Deprecated
  This method should be called by anyone constructing TaxResults, it will calculate the total TaxInformation attribute. Typically, the caller would be a subclass of TaxCalculator. The user of a TaxCalculator does not have to call calculateTotals.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.